package com.dsk.cscec.domain.bo;

import lombok.Data;

import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.11
 * @time 14:01
 */
@Data
public class ProjectSearchBo {
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;

    /**
     * 业主单位
     */
    private String ownerUnit;

    /**
     * 承接项目单位
     */
    private String undertakeProjectUnit;

    /**
     * 项目创建开始时间
     */
    private Date projectStartTime;

    /**
     * 项目创建结束时间
     */
    private Date projectEndTime;

    /**
     * 项目承接类型
     */
    private String projectUndertakeType;

    /**
     * 工程基础大类
     */
    private String engineeringFoundationCategory;

    /**
     * 工程类别明细
     */
    private String engineeringCategoryDetail;

    /**
     * 最小合同金额
     */
    private Double minContractAmount;

    /**
     * 最大合同金额
     */
    private Double maxContractAmount;
}
