package com.dsk.cscec.domain.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.13
 * @time 10:33
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AdvisoryBodySearchBo {
    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;
    /**
     * 最小最近合作时间
     */
    private Date minLastCooperateDate;
    /**
     * 最大最近合作时间
     */
    private Date maxLastCooperateDate;
    /**
     * 经营范围
     */
    private String businessScope;
}
