package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.CustomerInfoBo;
import com.dsk.cscec.domain.vo.CustomerInfoVo;

/**
 * 组织维表(DCustomer)表服务接口
 *
 * @author
 * @since 2023-12-10
 */
public interface ICustomerInfoService extends IService<DCustomer> {

    TableDataInfo<CustomerInfoVo> queryPageList(CustomerInfoBo bo, PageQuery query);

    DCustomer queryByName(String name);
}
